// 手机号
export const patternPhone = /^(?:(?:\+|00)86)?1[3-9]\d{9}$/

// 密码
export const patternPwd = /^[0-9A-Za-z]{6,16}$/

// 身份证号(支持15位|18位)
export const patternCard = /(^\d{8}(0\d|10|11|12)([0-2]\d|30|31)\d{3}$)|(^\d{6}(18|19|20)\d{2}(0[1-9]|10|11|12)([0-2]\d|30|31)\d{3}(\d|X|x)$)/

// 校验身份证号
export function validateCardNo (value) {
    let result = true
    if(!patternCard.test(value)) {
        result = false
    }
    return result
}